- Main Page
- Related Pages
- Modules
- Files

- File List

Functions
func_vector_relational.hpp File Reference

Go to the source code of this file.

## Functions
template<template< typename > class vecType>
bool | all (vecType< bool > const &v)
template<template< typename > class vecType>
bool | any (vecType< bool > const &v)
template<typename vecType >
vecType::bool_type | equal (vecType const &x, vecType const &y)
template<typename vecType >
vecType::bool_type | greaterThan (vecType const &x, vecType const &y)
template<typename vecType >
vecType::bool_type | greaterThanEqual (vecType const &x, vecType const &y)
template<typename vecType >
vecType::bool_type | lessThan (vecType const &x, vecType const &y)
template<typename vecType >
vecType::bool_type | lessThanEqual (vecType const &x, vecType const &y)
template<template< typename > class vecType>
vecType< bool > | not_ (vecType< bool > const &v)
template<typename vecType >
vecType::bool_type | notEqual (vecType const &x, vecType const &y)

## Detailed Description

OpenGL Mathematics (glm.g-truc.net)

Copyright (c) 2005 - 2012 G-Truc Creation (www.g-truc.net) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

GLM Core

Date
  2008-08-03 / 2011-06-15

Author
  Christophe Riccio

See Also
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

Definition in file func_vector_relational.hpp.